//----------------------------------------------------------------------
// Copyright (C) 2006-2007 Electronic Arts    
//----------------------------------------------------------------------

#ifndef JOB_UTIL_PRINT_H
#define JOB_UTIL_PRINT_H

#include "EABase/eabase.h"

namespace EA { 
    namespace Jobs {

int Print(char const* format, ...)
    #ifdef __GNUC__
        #ifdef __SPU__
            __attribute__((naked, format (printf, 1, 2)));
        #else
            __attribute__((format (printf, 1, 2)));
        #endif
    #else
        ;
    #endif

typedef void (PrintCallback)(char const* s);
void SetPrintCallback(PrintCallback* pc);
PrintCallback* GetPrintCallback();

}}

#endif